Difference between revisions of "Python packages that are non-trivial to install"

From ScientificComputing
Jump to: navigation, search
(Created page with "==Numpy, scipy== Numpy and scipy are available for all centrally installed Python versions, but if you need the newest version that is available you might need to install it l...")
 
(No difference)

Latest revision as of 13:54, 23 August 2016

Numpy, scipy

Numpy and scipy are available for all centrally installed Python versions, but if you need the newest version that is available you might need to install it locally in your home directory. Both packages can be linked against the higly-optimized OpenBLAS linear algebra libraries. For this, the path to the OpenBLAS library needs to be specified in an environment variable:

  • Distuils
OPENBLAS=/cluster/apps/openblas/0.2.13_seq/x86_64/gcc_4.8.2/lib python setup.py install
  • PIP
OPENBLAS=/cluster/apps/openblas/0.2.13_seq/x86_64/gcc_4.8.2/lib python -m pip install --user --upgrade numpy
OPENBLAS=/cluster/apps/openblas/0.2.13_seq/x86_64/gcc_4.8.2/lib python -m pip install --user --upgrade scipy

Numba/llvmlite

  • module load gcc/4.8.2 python/2.7.6
  • python -m pip install --user enum34
  • LLVM_CONFIG=/cluster/apps/llvm/3.6.0/x86_64/bin/llvm-config python -m pip install --user llvmlite==0.8.0
  • python -m pip install --user numba==0.22.1